void do_something (int x, y)
               if (x != y)
{
  ...
}

void do_something (int x, y)      
               if (x != y)                                                     /*  "identical expression" */
{
  ...
}